Package it.ernytech.tdlib

## Class TdApi.ConnectionState

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ConnectionState

Direct Known Subclasses:
  `TdApi.ConnectionStateConnecting`, `TdApi.ConnectionStateConnectingToProxy`, `TdApi.ConnectionStateReady`, `TdApi.ConnectionStateUpdating`, `TdApi.ConnectionStateWaitingForNetwork`

Enclosing class:
  TdApi

    public abstract static class TdApi.ConnectionState
    extends TdApi.Object

This class is an abstract base class. Describes the current state of the connection to Telegram servers.

### Constructor Summary

Constructors
`ConnectionState()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### ConnectionState

    public ConnectionState()